Loading...
Searching...
No Matches
oval_variable_possible_restriction Struct Reference
OVAL » OVALDEF
Collaboration diagram for oval_variable_possible_restriction:
[legend]

## Public Member Functions

OSCAP_API struct oval_variable_possible_restriction * | oval_variable_possible_restriction_new (oval_operator_t, const char *)
| Construct new instance of possible_restriction element.
OSCAP_API void | oval_variable_possible_restriction_free (struct oval_variable_possible_restriction *pr)
| Free instance of possible_restriction.
Setters
OSCAP_API void | oval_variable_possible_restriction_add_restriction (struct oval_variable_possible_restriction *pr, struct oval_variable_restriction *r)
| Add a restriction to the list of possible restrictions.
Getters
OSCAP_API struct oval_variable_restriction_iterator * | oval_variable_possible_restriction_get_restrictions2 (struct oval_variable_possible_restriction *possible_restriction)
| Get restrictions from one possible_restriction element.
OSCAP_API oval_operator_t | oval_variable_possible_restriction_get_operator (struct oval_variable_possible_restriction *possible_restriction)
| Get operator of possible_restriction element.
OSCAP_API char * | oval_variable_possible_restriction_get_hint (struct oval_variable_possible_restriction *possible_restriction)
| Get hint of possible_restriction element.

## Data Fields

oval_operator_t | operator
char * | hint
struct oval_collection * | restrictions

The documentation for this struct was generated from the following files:

- oval_variable.c
- oval_definitions.h